package sample.lightbox.abdbupdate.databinding;
import sample.lightbox.abdbupdate.R;
import sample.lightbox.abdbupdate.BR;
import android.view.View;
public class ActivityMainBinding extends android.databinding.ViewDataBinding {
    
    private static final android.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new android.databinding.ViewDataBinding.IncludedLayouts(6);
        sIncludes.setIncludes(1, 
            new String[] {"update_contents"},
            new int[] {2},
            new int[] {R.layout.update_contents});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.getData, 3);
        sViewsWithIds.put(R.id.editScode, 4);
        sViewsWithIds.put(R.id.updateData, 5);
    }
    // views
    public final android.widget.EditText editScode;
    public final sample.lightbox.abdbupdate.databinding.UpdateContentsBinding ex;
    public final android.widget.Button getData;
    private final android.widget.LinearLayout mboundView1;
    public final android.widget.ScrollView scrollView;
    public final android.widget.Button updateData;
    // variables
    private sample.lightbox.abdbupdate.Syain mUser;
    // values
    // listeners
    
    public ActivityMainBinding(View root) {
        super(root, 1);
        final Object[] bindings = mapBindings(root, 6, sIncludes, sViewsWithIds);
        this.editScode = (android.widget.EditText) bindings[4];
        this.ex = (sample.lightbox.abdbupdate.databinding.UpdateContentsBinding) bindings[2];
        this.getData = (android.widget.Button) bindings[3];
        this.mboundView1 = (android.widget.LinearLayout) bindings[1];
        this.mboundView1.setTag(null);
        this.scrollView = (android.widget.ScrollView) bindings[0];
        this.scrollView.setTag(null);
        this.updateData = (android.widget.Button) bindings[5];
        setRootTag(root);
        invalidateAll();
    }
    
    @Override
    public void invalidateAll() {
        synchronized(this) {
            mDirtyFlags = 0b10L;
        }
        ex.invalidateAll();
        requestRebind();
    }
    
    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (ex.hasPendingBindings()) {
            return true;
        }
        return false;
    }
    
    private void log(String msg, long i) {
        android.util.Log.d("BINDER", msg + ":" + Long.toHexString(i));
    }
    
    public boolean setVariable(int variableId, Object variable) {
        switch(variableId) {
            case BR.user :
                setUser((sample.lightbox.abdbupdate.Syain) variable);
                return true;
        }
        return false;
    }
    
    public void setUser(sample.lightbox.abdbupdate.Syain user) {
        updateRegistration(0, user);
        this.mUser = user;
        synchronized(this) {
            mDirtyFlags |= 0b1L;
        }
        super.requestRebind();
    }
    public sample.lightbox.abdbupdate.Syain getUser() {
        return mUser;
    }
    
    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeUser((sample.lightbox.abdbupdate.Syain) object, fieldId);
        }
        return false;
    }
    private boolean onChangeUser(sample.lightbox.abdbupdate.Syain user, int fieldId) {
        switch (fieldId) {
            case BR._all:
                synchronized(this) {
                    mDirtyFlags |= 0b1L;
                }
                return true;
        }
        return false;
    }
    
    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        sample.lightbox.abdbupdate.Syain user = mUser;
    
        if ((dirtyFlags & 0b11L) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0b11L) != 0) {
            // api target 1
            this.ex.setUser(user);
        }
        ex.executePendingBindings();
    }
    // Listener Stub Implementations
    // dirty flag
    private  long mDirtyFlags = 0b1111111111111111111111111111111111111111111111111111111111111111L;
    
    public static ActivityMainBinding inflate(android.view.LayoutInflater inflater, android.view.ViewGroup root, boolean attachToRoot) {
        return android.databinding.DataBindingUtil.<ActivityMainBinding>inflate(inflater, sample.lightbox.abdbupdate.R.layout.activity_main, root, attachToRoot);
    }
    public static ActivityMainBinding inflate(android.view.LayoutInflater inflater) {
        return bind(inflater.inflate(sample.lightbox.abdbupdate.R.layout.activity_main, null, false));
    }
    public static ActivityMainBinding bind(android.view.View view) {
        if (!"layout/activity_main_0".equals(view.getTag())) {
            throw new RuntimeException("view tag isn't correct on view:" + view.getTag());
        }
        return new ActivityMainBinding(view);
    }
}
    /* flag mapping
        flag 0: user~
        flag 1: INVALIDATE ANY
    flag mapping end*/
    //end