package sample.lightbox.abdbupdate;

import android.databinding.DataBindingUtil;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.WindowManager;

import sample.lightbox.abdbupdate.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {

	// ボタンアクションクラス
	private  ButtonAction button_action = null;
	// データベースからのデータ( JSON より変換 )
	private Syain syain = null;
	// *************************************************
	// 画面定義から自動作成されるクラス
	// ※ 名称は、xml のファイル名から作成されています
	// *************************************************
	private ActivityMainBinding binding = null;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		// *************************************************
		// Android 入力システム初期処理
		// ソフトキーボードを非表示にする( 最初のみ )
		// *************************************************
		getWindow().setSoftInputMode(WindowManager.LayoutParams.SOFT_INPUT_STATE_ALWAYS_HIDDEN);

		// *************************************************
		// 初期画面表示
		// MainActivity の setContentView と同等です
		// *************************************************
		binding = DataBindingUtil.setContentView(MainActivity.this, R.layout.activity_main);
		// データの初期表示
		syain = new Syain();
		binding.setUser(syain);

		// *************************************************
		// 入力フィールドにフォーカス
		// *************************************************
		Tools1114.setFocusNoKeyboard(MainActivity.this,R.id.editScode);

		// *************************************************
		// ボタンイベント
		// *************************************************
		button_action = new ButtonAction(MainActivity.this);
		// ボタンイベント用のデータ
		button_action.setData(binding);
		// イベント登録
		MainActivity.this.findViewById(R.id.getData).setOnClickListener(button_action);
		MainActivity.this.findViewById(R.id.updateData).setOnClickListener(button_action);


	}
}
