package sample.lightbox.abdbupdate.databinding;
import sample.lightbox.abdbupdate.R;
import sample.lightbox.abdbupdate.BR;
import android.view.View;
public class UpdateContentsBinding extends android.databinding.ViewDataBinding {
    
    private static final android.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    public final android.widget.EditText editFuri;
    public final android.widget.EditText editKj;
    private final android.widget.LinearLayout mboundView0;
    // variables
    private sample.lightbox.abdbupdate.Syain mUser;
    // values
    // listeners
    
    public UpdateContentsBinding(View root) {
        super(root, 1);
        final Object[] bindings = mapBindings(root, 3, sIncludes, sViewsWithIds);
        this.editFuri = (android.widget.EditText) bindings[2];
        this.editFuri.setTag(null);
        this.editKj = (android.widget.EditText) bindings[1];
        this.editKj.setTag(null);
        this.mboundView0 = (android.widget.LinearLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        invalidateAll();
    }
    
    @Override
    public void invalidateAll() {
        synchronized(this) {
            mDirtyFlags = 0b10L;
        }
        requestRebind();
    }
    
    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }
    
    private void log(String msg, long i) {
        android.util.Log.d("BINDER", msg + ":" + Long.toHexString(i));
    }
    
    public boolean setVariable(int variableId, Object variable) {
        switch(variableId) {
            case BR.user :
                setUser((sample.lightbox.abdbupdate.Syain) variable);
                return true;
        }
        return false;
    }
    
    public void setUser(sample.lightbox.abdbupdate.Syain user) {
        updateRegistration(0, user);
        this.mUser = user;
        synchronized(this) {
            mDirtyFlags |= 0b1L;
        }
        super.requestRebind();
    }
    public sample.lightbox.abdbupdate.Syain getUser() {
        return mUser;
    }
    
    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeUser((sample.lightbox.abdbupdate.Syain) object, fieldId);
        }
        return false;
    }
    private boolean onChangeUser(sample.lightbox.abdbupdate.Syain user, int fieldId) {
        switch (fieldId) {
            case BR._all:
                synchronized(this) {
                    mDirtyFlags |= 0b1L;
                }
                return true;
        }
        return false;
    }
    
    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String furiUser = null;
        java.lang.String kjUser = null;
        sample.lightbox.abdbupdate.Syain user = mUser;
    
        if ((dirtyFlags & 0b11L) != 0) {
        
        
        
            // read furi~.~user~
            if ( user != null) {
                furiUser = user.furi;
            }
        
        
            // read kj~.~user~
            if ( user != null) {
                kjUser = user.kj;
            }
        }
        // batch finished
        if ((dirtyFlags & 0b11L) != 0) {
            // api target 1
            this.editFuri.setText(furiUser);
        }
        if ((dirtyFlags & 0b11L) != 0) {
            // api target 1
            this.editKj.setText(kjUser);
        }
    }
    // Listener Stub Implementations
    // dirty flag
    private  long mDirtyFlags = 0b1111111111111111111111111111111111111111111111111111111111111111L;
    
    public static UpdateContentsBinding inflate(android.view.LayoutInflater inflater, android.view.ViewGroup root, boolean attachToRoot) {
        return android.databinding.DataBindingUtil.<UpdateContentsBinding>inflate(inflater, sample.lightbox.abdbupdate.R.layout.update_contents, root, attachToRoot);
    }
    public static UpdateContentsBinding inflate(android.view.LayoutInflater inflater) {
        return bind(inflater.inflate(sample.lightbox.abdbupdate.R.layout.update_contents, null, false));
    }
    public static UpdateContentsBinding bind(android.view.View view) {
        if (!"layout/update_contents_0".equals(view.getTag())) {
            throw new RuntimeException("view tag isn't correct on view:" + view.getTag());
        }
        return new UpdateContentsBinding(view);
    }
}
    /* flag mapping
        flag 0: user~
        flag 1: INVALIDATE ANY
    flag mapping end*/
    //end